
Redmine - Defect #7918

Non-ASCII characters are disabled in e-mail's body fields

2011-03-18 13:40 - Peter Taran

Status: New Start date: 2011-03-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.2

Description

In accordance with documentation, Redmide should parse incoming e-mail's for project, tracker, etc fields:

Project: foo

Tracker: Bug

Priority: Urgent

Status: Resolved

 I found, it doesn't work with non-ASCII (I guess) characters. So e-mail:

Project: zenith

Tracker: Ошибка

Some describing text

 transforms to issue

Tracker: Ошибка

Some describing text

 with first, default tracker.

No way to put information about tracker, priority and desired status in localized versions of Redmine.

1. Database mysqld Ver 5.1.49-3 for debian-linux-gnu on i486 ((Debian))

2. Ruby 1.8.7 (2010-08-16 patchlevel 302) [i486-linux]

3. Rails 2.3.5-1.2

4. Redmine 1.1.2.stable

History

#1 - 2011-03-18 13:46 - Etienne Massip

- Category set to I18n

- Affected version (unused) set to 1.1.2

- Affected version set to 1.1.2

#2 - 2011-03-18 13:51 - Peter Taran

P.S. I tryed emails encoded with Koi8-r and utf-8.

#3 - 2011-04-05 14:16 - Etienne Massip

- Category changed from I18n to Email receiving
